using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Fist : MonoBehaviour {

	[SerializeField] Vector2 dirUp;
	[SerializeField] Vector2 dirDown;
	[SerializeField] Vector2 dirLeft;
	[SerializeField] Vector2 dirRight;
	[SerializeField] Vector2 dirDead;

	// Use this for initialization
	void Awake () {
		transform.localPosition = dirDown;
	}
	
	public void SetPosition(string direction) {
		switch (direction) {
			case "Up": {
				transform.localPosition = dirUp;
				break;
			}
			case "Down": {
				transform.localPosition = dirDown;
				break;
			}
			case "Left": {
				transform.localPosition = dirLeft;
				break;
			}
			case "Right": {
				transform.localPosition = dirRight;
				break;
			}
			case "Dead": {
				transform.localPosition = dirDead;
				break;
			}
			default: break;
		}
	}
}
